Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7764 - should use "unsigned short" for cylinders on IDE drives
Summary: should use "unsigned short" for cylinders on IDE drives
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-12 07:17 UTC by Marty Shannon
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-06-28 02:36:04 UTC


Attachments (Terms of Use)

Description Marty Shannon 1999-12-12 07:17:19 UTC
Most of the large drives have more than 32767 cylinders, which display in
/etc/sysconfig/hwconf as negative numbers.

Comment 1 Riley H Williams 1999-12-12 21:52:59 UTC
Some also have more than 65,535 cylinders, which exceeds the limit of the
unsigned short that you propose. It seems to me that there is already a need to
move to 32-bit for this value - and, since negative numbers make no sense here,
we should switch to unsigned at the same time.

Comment 2 Bill Nottingham 1999-12-17 22:20:59 UTC
The values in /etc/sysconfig/hwconf are
taken from /proc/ide/<device>/geometry...
they come straight from the kernel.

Comment 3 Cristian Gafton 2000-01-04 22:27:59 UTC
Assigned to dledford

Comment 4 Eric Smith 2000-06-28 02:36:04 UTC
The kernel also had problems with IDE drives with more than 64k cylinders, until
version 2.2.14.  The recent errata kernels are 2.2.14 and 2.2.16 so they're OK,
but in order to install onto a large drive (e.g., Maxtor 60G), boot images with
the newer kernel would be needed.  Any chance of new boot images showing up in
Updates in the near future?



Note You need to log in before you can comment on or make changes to this bug.